<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ResellerWebController;

Route::get('/', function () {
    return view('welcome');
});

// Rutas web para escaneo de Código QR de Revendedor & Referidos
Route::get('/register', [ResellerWebController::class, 'showRegistrationForm'])->name('web.reseller.register');
Route::post('/register', [ResellerWebController::class, 'register'])->name('web.reseller.register.submit');

Route::get('/r/{code}', [ResellerWebController::class, 'showRegistrationForm']);
Route::get('/ref/{code}', [ResellerWebController::class, 'showRegistrationForm']);
Route::get('/reseller/{code}', [ResellerWebController::class, 'showRegistrationForm']);
